View Issue Details

IDProjectCategoryView StatusLast Update
0037279LazarusLCLpublic2020-07-29 20:11
ReporterDan Star Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLazarus 2.0.8OSMacOS Catalina 
Product Version2.0.8 
Summary0037279: TGroupBox Does Not Honor Font fsBold Setting for Caption
DescriptionLazarus sets the (2) TRadioButton font's to Bold but not the Caption of TGroupBox. If you select fsBold for both TRadioButton.Font then nothing is made Bold. User' lucamar' confirmed TGroupBox.Caption goes Bold on Linux.
Steps To Reproduceprocedure TTMainForm.btDoTestClick(Sender: TObject);
begin
   if fsBold in GroupBox1.Font.Style then
    GroupBox1.Font.Style := GroupBox1.Font.Style - [fsBold]
  else
    GroupBox1.Font.Style := GroupBox1.Font.Style + [fsBold];
end;
Additional InformationUser' lucamar' confirmed TGroupBox.Caption goes Bold on Linux.
TagsNo tags attached.
Fixed in Revision63522
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Bart Broersma

2020-06-27 15:07

developer   ~0123620

Isn't that controlled by themes (so basically by the widgetset)?

Dan Star

2020-06-27 16:26

reporter   ~0123626

Last edited: 2020-06-27 16:49

View 2 revisions

Not sure what you mean by "themes". If I override the default for a control, it should honor that. At the very least, it should make the TGroupBox and it child controls captions Bold. But what makes most design sense? Bold on the TGroupBox Caption only. I have attached screenshots.

Dmitry Boyarintsev

2020-07-07 06:00

developer   ~0123793

please test and close if ok

Dan Star

2020-07-07 17:45

reporter   ~0123803

I have to set up a Trunk installation. Will close for now and reopen if need be,. Thanks!

Dan Star

2020-07-29 18:59

reporter   ~0124401

Tested in 2.1.0. Fixed. Thanks Dmitry!

Issue History

Date Modified Username Field Change
2020-06-27 14:36 Dan Star New Issue
2020-06-27 15:07 Bart Broersma Note Added: 0123620
2020-06-27 16:26 Dan Star Note Added: 0123626
2020-06-27 16:26 Dan Star File Added: Screen Shot 2020-06-26 at 4.44.21 PM.png
2020-06-27 16:26 Dan Star File Added: Screen Shot 2020-06-26 at 4.44.14 PM.png
2020-06-27 16:49 Dan Star Note Edited: 0123626 View Revisions
2020-07-07 06:00 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-07-07 06:00 Dmitry Boyarintsev Status new => resolved
2020-07-07 06:00 Dmitry Boyarintsev Resolution open => fixed
2020-07-07 06:00 Dmitry Boyarintsev Fixed in Revision => 63522
2020-07-07 06:00 Dmitry Boyarintsev LazTarget => -
2020-07-07 06:00 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-07-07 06:00 Dmitry Boyarintsev Note Added: 0123793
2020-07-07 17:45 Dan Star Note Added: 0123803
2020-07-07 17:45 Dan Star Status resolved => closed
2020-07-29 18:59 Dan Star Status closed => assigned
2020-07-29 18:59 Dan Star Resolution fixed => open
2020-07-29 18:59 Dan Star Note Added: 0124401
2020-07-29 20:11 Dmitry Boyarintsev Status assigned => resolved
2020-07-29 20:11 Dmitry Boyarintsev Resolution open => fixed
2020-07-29 20:11 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-07-29 20:11 Dmitry Boyarintsev Status resolved => closed